import { get, put, post, deletes } from '@/http/index'

// 查询警告信息列表
export const getWarning = async (data) => {
  return await get('/als/warning/list', data)
}

// 新增警告信息
export const addWarning = async (data) => {
  return await post('/als/warning', data)
}

// 修改警告信息
export const updateWarning = async (data) => {
  return await put('/als/warning', data)
}

// 删除警告信息
export const removeWarning = async (id) => {
  return await deletes('/als/warning/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
